Bug 210610 - update graphics/imlib2_loaders to 1.4.9
Summary: update graphics/imlib2_loaders to 1.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Niclas Zeising
URL:
Keywords:
Depends on: 210609
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-27 04:39 UTC by Walter Schwarzenfeld
Modified: 2016-06-30 20:39 UTC (History)
2 users (show)

See Also:
zeising: maintainer-feedback+


Attachments
svn-diff_graphics_imlib2_loaders (1.30 KB, patch)
2016-06-27 04:39 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff_graphics_imlib2_loaders_new (1.22 KB, patch)
2016-06-27 22:40 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff_graphics_imlib2_loaders_corr (1.36 KB, patch)
2016-06-27 23:01 UTC, Walter Schwarzenfeld
no flags Details | Diff
Extended patch (1.75 KB, patch)
2016-06-29 19:55 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2016-06-27 04:39:52 UTC
Created attachment 171850 [details]
svn-diff_graphics_imlib2_loaders

ChangeLog:
Tells no significant changes.

Update only for version sync with imlib2.

portlint OK.

Maintainer maybe resetted (see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210474)
Comment 1 Walter Schwarzenfeld freebsd_triage 2016-06-27 06:41:12 UTC
Poudriere builds OK for 103amd64 and 93amd64.
Comment 2 Dmitry Marakasov freebsd_committer 2016-06-27 18:35:27 UTC
Extra comment line is not needed. Also, does it not build with clang? I'd prefer more relaxed compiler requirements if possible, like (if it actually builds with clang)

.if ${CHOSEN_COMPILER_TYPE} == gcc
USE_GCC=       4.9+
.endif
Comment 3 Walter Schwarzenfeld freebsd_triage 2016-06-27 19:54:13 UTC
Extra comment line, cause of an statement of of portlint. If it is not needed should removed from portlint. But I can change it.
Does not build with clang with the port (not tested with poudriere yet).

----
Poudriere builds OK with 93amd64 and 93i386.
Comment 4 Rene Ladan freebsd_committer 2016-06-27 21:48:12 UTC
Maintainer reset.
Comment 5 Walter Schwarzenfeld freebsd_triage 2016-06-27 22:40:56 UTC
Created attachment 171893 [details]
svn-diff_graphics_imlib2_loaders_new
Comment 6 Walter Schwarzenfeld freebsd_triage 2016-06-27 23:01:20 UTC
Created attachment 171894 [details]
svn-diff_graphics_imlib2_loaders_corr

Correct maintainer.
Comment 7 Walter Schwarzenfeld freebsd_triage 2016-06-28 19:54:07 UTC
The port has a new maintainer zeising@FreeBSD.org-
Comment 8 Walter Schwarzenfeld freebsd_triage 2016-06-28 19:54:36 UTC
The port has a new maintainer zeising@FreeBSD.org-
Comment 9 Dmitry Marakasov freebsd_committer 2016-06-29 19:55:19 UTC
Created attachment 171955 [details]
Extended patch

I propose this extended patch.

- Add missing xorg depends
- Switch to options helpers
- Switch to USES=localbase
Comment 10 Niclas Zeising freebsd_committer 2016-06-29 20:12:37 UTC
Thanks for the patch!
I'll look into this tomorrow, but from a cursory glance it looks good.
Comment 11 commit-hook freebsd_committer 2016-06-30 20:39:33 UTC
A commit references this bug:

Author: zeising
Date: Thu Jun 30 20:38:37 UTC 2016
New revision: 417841
URL: https://svnweb.freebsd.org/changeset/ports/417841

Log:
  Update o 1.4.9

  Switch to use options helpers
  Add missing dependencies
  USES=localbase instead of handrolling
  use install-strip instead of handrolling

  PR:		210610
  Submitted by:	Dmitry Marakasov (amdmi3)
  Reported by:	w.schwarzenfeld@utanet.at

Changes:
  head/graphics/imlib2_loaders/Makefile
  head/graphics/imlib2_loaders/distinfo
Comment 12 Niclas Zeising freebsd_committer 2016-06-30 20:39:58 UTC
Committed. Thanks for all patches!